import { inputFromFile } from "input-from-file";
import { swallowError } from "../utils/swallowError.js";
const knownHeadings = /* @__PURE__ */ new Set([
  "building",
  "development",
  "formatting",
  "linting",
  "testing",
  "type checking"
]);
async function readDevelopmentDocumentation(take) {
  const existing = swallowError(
    await take(inputFromFile, {
      filePath: ".github/DEVELOPMENT.md"
    })
  );
  if (!existing) {
    return void 0;
  }
  return existing.split(/\n\n(?=##\s)/).filter((section) => !knownHeadings.has(parseHeading(section))).join("\n\n");
}
function parseHeading(section) {
  return section.split("\n")[0].replace(/^#+\s+/, "").trim().toLowerCase();
}
export {
  readDevelopmentDocumentation
};
